cURL
curl --request GET \
--url https://api.woox.io/v3/asset/token/history \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-signature: <x-api-signature>' \
--header 'x-api-timestamp: <x-api-timestamp>'import requests
url = "https://api.woox.io/v3/asset/token/history"
headers = {
"x-api-key": "<x-api-key>",
"x-api-signature": "<x-api-signature>",
"x-api-timestamp": "<x-api-timestamp>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-api-signature': '<x-api-signature>',
'x-api-timestamp': '<x-api-timestamp>'
}
};
fetch('https://api.woox.io/v3/asset/token/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"timestamp": 123,
"data": {
"rows": [
{
"id": 123,
"type": "WITHDRAW",
"token": "<string>",
"amount": "<string>",
"timestamp": 123
}
],
"meta": {
"total": 123,
"recordsPerPage": 123,
"currentPage": 123
}
}
}Assets
Get token history
get token history
GET
/
v3
/
asset
/
token
/
history
cURL
Limit 10 requests per 60 seconds
Get account token balance change history
Get account token balance change history
Headers
Example:
"abcdef123456"
Example:
"signaturestring"
Example:
"1718943200000"
Query Parameters
Transaction type filter
Available options:
WITHDRAW, DEPOSIT, FIAT_WITHDRAW, FIAT_DEPOSIT, EARN, VAULT_WITHDRAW, VAULT_DEPOSIT, YIELD_TO_BALANCE, CREDIT, DISTRIBUTION, REFERRAL, SUB_ACCOUNT_TRANSFER, REBATE, LIQUIDATION, SPECIAL, STAKING, UNSTAKING, UNSTAKING_FEE, INTEREST, CONVERT, FUNDING_FEE, REALIZED_PNL, RFQ, COPY_FEE, COPY_PROFIT_SHARED, SPOT_TRANSACTION, TRANSACTION_FEE start www time in unix timestamp
end time in unix timestamp
the page you wish to query.
the page size you wish to query, default = 25, 1000 at max.